Bug 1413046 - Make pcs avoid a full CIB replacement when possible
Summary: Make pcs avoid a full CIB replacement when possible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Tomas Jelinek
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1404233
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 13:15 UTC by Jaroslav Reznik
Modified: 2017-01-30 15:56 UTC (History)
12 users (show)

Fixed In Version: pcs-0.9.152-10.el7_3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1404233
Environment:
Last Closed: 2017-01-30 15:56:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix (7.84 KB, patch)
2017-01-16 14:38 UTC, Ivan Devat
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0210 normal SHIPPED_LIVE pcs bug fix update 2017-01-30 20:56:18 UTC

Description Jaroslav Reznik 2017-01-13 13:15:33 UTC
This bug has been copied from bug #1404233 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 3 Ivan Devat 2017-01-16 14:38:04 UTC
Created attachment 1241254 [details]
proposed fix

Comment 4 Ivan Devat 2017-01-16 14:47:18 UTC
Before Fix:
It is not possible to push into cib only a diff.


After Fix:
[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.152-10.el7_3.1.x86_64

[vm-rhel72-1 ~] $ pcs resource
NO resources configured
[vm-rhel72-1 ~] $ pcs cluster cib > original.xml
[vm-rhel72-1 ~] $ cp original.xml updated.xml
[vm-rhel72-1 ~] $ cp original.xml updated2.xml
[vm-rhel72-1 ~] $ pcs -f updated.xml resource create A ocf:heartbeat:Dummy
[vm-rhel72-1 ~] $ pcs -f updated2.xml resource create B ocf:heartbeat:Dummy
[vm-rhel72-1 ~] $ pcs -f updated2.xml resource create C ocf:heartbeat:Dummy
[vm-rhel72-1 ~] $ pcs cluster cib-push updated.xml diff-against=original.xml
CIB updated
[vm-rhel72-1 ~] $ pcs cluster cib-push updated2.xml diff-against=original.xml
CIB updated
[vm-rhel72-1 ~] $ pcs resource
 B      (ocf::heartbeat:Dummy): Started vm-rhel72-1
 C      (ocf::heartbeat:Dummy): Started vm-rhel72-1
 A      (ocf::heartbeat:Dummy): Started vm-rhel72-1

Comment 8 errata-xmlrpc 2017-01-30 15:56:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0210.html


Note You need to log in before you can comment on or make changes to this bug.